• 896 Players on Java
  • us.mineplex.com
  • 6003 Players Online
  • 5107 Players on Bedrock
  • pe.mineplex.com
!
Attention Internet Explorer Users
To have the best user experience on our site please consider upgrading to Google Chrome or Mozilla Firefox

Why can't we play on 1.7

Discussion in 'Server Discussion' started by Muils, Jan 23, 2021.

Thread Status:
Not open for further replies.
  1. Hey, I'm not sure if this has been addressed before but, why can we not log into mineplex in 1.7, I would like to play on 1.7 because hitreg dies on 1.8.
     
    Posted Jan 23, 2021
  2. At some point servers just moved on from old versions leaving them behind as new blocks came out that they could use as well as new features for design aspects of games. The only reason Mineplex stayed at 1.8 as the oldest version was because from 1.9 the pvp COMPLETELY changed. No one was ready to leave that behind as fighting mechanics were very different.

    I'm sure that LT wanted to move on from 1.8 as well for more building and design options but the majority of the playerbase did not like the idea of moving to a completely new pvp system even if it was reworked to be the same - which is why even though we're at 1.17 now, a lot of players play on 1.8.9 for the untouched pvp mechanics.
     
    Posted Jan 23, 2021
    510bike and unsorrowful like this.
  3. Looks like your question has been answered.
    Typically servers will update to the version most preferred by their community. In this case, 1.8 is the preferred version due to the PvP mechanics offered. There are new gameplay features and more options for building, and it's the newest version of MC that doesn't utilize the 1.9 combat system.

    Since the OP's concern has been addressed, I will now lock this thread. Feel free to message me with any additional questions.
    Locked
     
    Posted Jan 23, 2021
    Ŗýąñ⁹¹¹⁶ likes this.
Thread Status:
Not open for further replies.

Share This Page